mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.AsymmetricKeyExchangeFormatter System.Runtime.InteropServices.ComVisible(true)

Key exchange allows a sender to create secret information (such as random data that can be used as a key in a symmetric encryption algorithm) and use encryption to send it to the intended recipient.

Use to receive the key exchange and extract the secret information from it.

We recommend that you do not attempt to create your own key exchange method from the basic functionality provided, because many details of the operation must be performed carefully in order for the key exchange to be successful.

Creates the PKCS#1 key exchange data using .

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use method to set the key to be used for key exchange before calling .

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified key.

  The instance of the algorithm that holds the public key.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] ``

  This data can be interpreted only by the holder of the private key corresponding to the public key used to encrypt the data. This helps to ensure that only the intended recipient can access the secret information.

  Creates the encrypted key exchange data from the specified input data.

  The encrypted key exchange data to be sent to the intended recipient.

  The secret information to be passed in the key exchange.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] `` ``

  This data can be interpreted only by the holder of the private key corresponding to the public key used to encrypt the data. This helps to ensure that only the intended recipient can access the secret information.

  Creates the encrypted key exchange data from the specified input data.

  The encrypted key exchange data to be sent to the intended recipient.

  The secret information to be passed in the key exchange. This parameter is not used in the current version.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The property returns an XML string that contains Uniform Resource Identifiers (URIs) that describe the parameters of the PKCS #1 key exchange operation. Note that the URIs are not guaranteed to point to active addresses.

  Gets the parameters for the PKCS #1 key exchange.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.RandomNumberGenerator To be added.

  If this property is null, the default random number generator algorithm is used.

  Gets or sets the random number generator algorithm to use in the creation of the key exchange.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  You must set the key before calling .

  Sets the public key to use for encrypting the key exchange data.

  The instance of the algorithm that holds the public key.